Bug 269455 - Broken refractoring - renaming class deletes code
Broken refractoring - renaming class deletes code
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Refactoring
8.2
PC Windows 7
: P2 (vote)
: Dev
Assigned To: Svata Dedic
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-30 09:18 UTC by kopknaf
Modified: 2017-03-01 02:51 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
picture shows it all (474.34 KB, image/jpeg)
2016-12-30 09:18 UTC, kopknaf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kopknaf 2016-12-30 09:18:38 UTC
Created attachment 163310 [details]
picture shows it all

This is bug in 8.2. It works fine in 8.1.

In my very simple project when renaming Class "Orange" to "Apples", Netbeans 8.2 deletes everytime other class/portion of code! And this is all visible in refractoring preview window.
Comment 1 Svata Dedic 2017-01-12 15:42:39 UTC
The bug is triggered by the multiple-variable declarator in inner classes preceding the refactored class. Fixed in jet-main#b200079cd5ac
Comment 2 Quality Engineering 2017-03-01 02:51:56 UTC
Integrated into 'main-silver', will be available in build *201703010002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/b200079cd5ac
User: Svata Dedic <sdedic@netbeans.org>
Log: #269455: variable common parent must be reset at the end of variable declarator/group


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo